| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/mmapio.h File Reference

Platform-independent Memory-Mapped IO. More...

`#include "csextern.h"`
`#include "bitarray.h"`
`#include "ref.h"`
`#include "refcount.h"`
`#include "mmap_dummy.h"`

Go to the source code of this file.

## Classes
class | csMemoryMappedIO
| Defines a simple memory-mapped IO class that is portable. More...
class | csMemoryMapping
| Memory mapping, as returned by csMemoryMappedIO::GetData(). More...
## Defines
#define | csPlatformMemoryMapping csPlatformMemoryMappingDummy

## Detailed Description

Platform-independent Memory-Mapped IO.

Definition in file mmapio.h.